Package org.apache.synapse.transport.passthru

# Class PassThroughHttpSSLSender

java.lang.Object
org.apache.axis2.handlers.AbstractHandler
org.apache.synapse.transport.passthru.PassThroughHttpSender
org.apache.synapse.transport.passthru.PassThroughHttpSSLSender

All Implemented Interfaces:
  `org.apache.axis2.engine.Handler`, `org.apache.axis2.transport.TransportSender`, `IKeyStoreLoader`, `SSLProfileLoader`

public class PassThroughHttpSSLSender extends PassThroughHttpSender implements SSLProfileLoader, IKeyStoreLoader

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface org.apache.axis2.engine.Handler

  `org.apache.axis2.engine.Handler.InvocationResponse`

- ## Field Summary

  ### Fields inherited from class org.apache.synapse.transport.passthru.PassThroughHttpSender

  `log`

  ### Fields inherited from class org.apache.axis2.handlers.AbstractHandler

  `handlerDesc`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PassThroughHttpSSLSender()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Scheme`
  `getScheme()`
  `void`
  `init(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportOutDescription transportOutDescription)`
  `protected ClientConnFactoryBuilder`
  `initConnFactoryBuilder(org.apache.axis2.description.TransportOutDescription transportOut, org.apache.axis2.context.ConfigurationContext configurationContext)`
  `void`
  `loadKeyStore(org.apache.axis2.description.ParameterInclude transport)`
  `void`
  `reloadConfig(org.apache.axis2.description.ParameterInclude transport)`
  Reload SSL profiles and reset connections in PassThroughHttpSSLSender

  ### Methods inherited from class org.apache.synapse.transport.passthru.PassThroughHttpSender

  `addPreserveHttpHeader, cleanup, invoke, maintenanceShutdown, onAppError, pause, reloadDynamicSSLConfig, reloadSSL, removePreserveHttpHeader, resume, setContentType, stop, submitResponse`

  ### Methods inherited from class org.apache.axis2.handlers.AbstractHandler

  `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.axis2.engine.Handler

  `cleanup, flowComplete, getHandlerDesc, getName, getParameter, init`

- ## Constructor Details

  - ### PassThroughHttpSSLSender

    public PassThroughHttpSSLSender()

- ## Method Details

  - ### init

    public void init(org.apache.axis2.context.ConfigurationContext configurationContext, org.apache.axis2.description.TransportOutDescription transportOutDescription) throws org.apache.axis2.AxisFault
    Specified by:
      `init` in interface `org.apache.axis2.transport.TransportSender`
    Overrides:
      `init` in class `PassThroughHttpSender`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### getScheme

    protected Scheme getScheme()
    Overrides:
      `getScheme` in class `PassThroughHttpSender`

  - ### initConnFactoryBuilder

    protected ClientConnFactoryBuilder initConnFactoryBuilder(org.apache.axis2.description.TransportOutDescription transportOut, org.apache.axis2.context.ConfigurationContext configurationContext) throws org.apache.axis2.AxisFault
    Overrides:
      `initConnFactoryBuilder` in class `PassThroughHttpSender`
    Throws:
      `org.apache.axis2.AxisFault`

  - ### reloadConfig

    public void reloadConfig(org.apache.axis2.description.ParameterInclude transport) throws org.apache.axis2.AxisFault
    Reload SSL profiles and reset connections in PassThroughHttpSSLSender
    Specified by:
      `reloadConfig` in interface `SSLProfileLoader`
    Parameters:
      `transport` - TransportInDescription of the configuration
    Throws:
      `org.apache.axis2.AxisFault`

  - ### loadKeyStore

    public void loadKeyStore(org.apache.axis2.description.ParameterInclude transport) throws org.apache.axis2.AxisFault
    Specified by:
      `loadKeyStore` in interface `IKeyStoreLoader`
    Throws:
      `org.apache.axis2.AxisFault`